classification
Title: Comprehensions and await need more unittests
Type: behavior Stage: resolved
Components: Interpreter Core, Tests Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: yselivanov Nosy List: njs, yselivanov
Priority: normal Keywords:

Created on 2016-05-31 18:06 by njs, last changed 2016-10-05 23:46 by yselivanov. This issue is now closed.

Messages (2)
msg266763 - (view) Author: Nathaniel Smith (njs) * (Python committer) Date: 2016-05-31 18:06
So he asked me to file a bug reminding him to write more unit tests.

Interesting cases:

async def f():
    return (x for x in await g())

async def f():
    return (await x for x in g())

(and ditto for [], {} comprehensions)
msg278163 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2016-10-05 23:46
Closing this one. We added a lot of tests as part of the PEP 530 implementation.
History
Date User Action Args
2016-10-05 23:46:50yselivanovsetstatus: open -> closed
resolution: fixed
messages: + msg278163

stage: resolved
2016-06-06 05:59:11SilentGhostsettype: behavior
components: + Tests
title: Yury isn't sure comprehensions and await interact correctly -> Comprehensions and await need more unittests
2016-06-05 17:53:08ned.deilysetassignee: yselivanov
2016-05-31 18:06:54njscreate